Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomain

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SchemaObject

                        |

                        +--oracle.ifs.beans.TieSchemaObject

                              |

                              +--oracle.ifs.beans.ValueDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDomain

public class ValueDomain
extends TieSchemaObject

A ValueDomain describes a validation that can be applied to an Attribute to ensure that LibraryObjects' values for that Attribute lie within a set of acceptable values.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ValueDomain.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ValueDomain has a unique name.
`static java.lang.String` | `VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE` The PropertyBundle that defines values for this object.
`static int` | `VALUEDOMAINTYPE_ENUMERATED` The acceptable values for the ValueDomain are enumerated.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM` The acceptable values for the ValueDomain are such that value < maximum.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM` The acceptable values for the ValueDomain are such that value > minimum.
`static int` | `VALUEDOMAINTYPE_EXCLUSIVE_RANGE` The acceptable values for the ValueDomain are such that minimum < value < maximum.
`static int` | `VALUEDOMAINTYPE_MAXIMUM` The acceptable values for the ValueDomain are such that value <= maximum.
`static int` | `VALUEDOMAINTYPE_MINIMUM` The acceptable values for the ValueDomain are such that value >= minimum.
`static int` | `VALUEDOMAINTYPE_RANGE` The acceptable values for the ValueDomain are such that minimum <= value <= maximum.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`java.lang.String` | `getDescription()` Gets the description of this ValueDomain.
`AttributeValue` | `getPropertyValue()` Gets the value of the ValueDomainPropertyBundle of this ValueDomain.
`ValueDomainPropertyBundle` | `getValueDomainPropertyBundle()` Gets the ValueDomainPropertyBundle of this ValueDomain.
`void` | `setDescription(java.lang.String description)` Sets the description of this ValueDomain.
`void` | `setValueDomainPropertyBundle(ValueDomainPropertyBundle bundle)` Sets the ValueDomainPropertyBundle of this ValueDomain.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType)` Converts the specified ValueDomainType constant to a localized label.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType, LibrarySession session)` Converts the specified ValueDomainType constant to a localized label, using the Localizer from the specified LibrarySession.
`static java.lang.String` | `toValueDomainTypeLabel(int valueDomainType, Localizer localizer)` Converts the specified ValueDomainType constant to a localized label, using the specified Localizer.
`static java.lang.String` | `valueDomainTypeName(int valueDomainType, Localizer localizer)` Deprecated. use toValueDomainTypeLabel()
`static java.lang.String` | `valueDomainTypeResourceBundleKey(int valueDomainType)` Gets resource bundle key for the specified ValueDomain type.

Methods inherited from class oracle.ifs.beans.SchemaObject
`getPolicyBundle, getPropertyBundle, hasNameAttribute, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  A textual description of this ValueDomain.

### VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String VALUEDOMAINPROPERTYBUNDLE_ATTRIBUTE

  The PropertyBundle that defines values for this object.

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  A system-set attribute used to ensure each ValueDomain has a unique name.

### VALUEDOMAINTYPE_ENUMERATED

    public static final int VALUEDOMAINTYPE_ENUMERATED

  The acceptable values for the ValueDomain are enumerated.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, STRING, DATE, SCHEMAOBJECT, SYSTEMOBJECT, PUBLICOBJECT, or DIRECTORYOBJECT.

### VALUEDOMAINTYPE_RANGE

    public static final int VALUEDOMAINTYPE_RANGE

  The acceptable values for the ValueDomain are such that minimum <= value <= maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

### VALUEDOMAINTYPE_MINIMUM

    public static final int VALUEDOMAINTYPE_MINIMUM

  The acceptable values for the ValueDomain are such that value >= minimum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

### VALUEDOMAINTYPE_MAXIMUM

    public static final int VALUEDOMAINTYPE_MAXIMUM

  The acceptable values for the ValueDomain are such that value <= maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

### VALUEDOMAINTYPE_EXCLUSIVE_RANGE

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_RANGE

  The acceptable values for the ValueDomain are such that minimum < value < maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

### VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM

  The acceptable values for the ValueDomain are such that value > minimum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

### VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM

    public static final int VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM

  The acceptable values for the ValueDomain are such that value < maximum.

  A ValueDomain can have this domain type if its data type is INTEGER, LONG, DOUBLE, or DATE.

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Sets the description of this ValueDomain.
  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Gets the description of this ValueDomain.
  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails

### setValueDomainPropertyBundle

    public final void setValueDomainPropertyBundle(ValueDomainPropertyBundle bundle)
                                            throws IfsException

  Sets the ValueDomainPropertyBundle of this ValueDomain.
  Parameters:
    `bundle` - the ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails

### getValueDomainPropertyBundle

    public final ValueDomainPropertyBundle getValueDomainPropertyBundle()
                                                                 throws IfsException

  Gets the ValueDomainPropertyBundle of this ValueDomain.
  Returns:
    the ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Gets the value of the ValueDomainPropertyBundle of this ValueDomain.

  This method returns an array-type AttributeValue the represents the values allowed for this ValueDomain.

  The number of elements in the array-type AttributeValue depends on the domain type of the ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value
  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails

### valueDomainTypeResourceBundleKey

    public static final java.lang.String valueDomainTypeResourceBundleKey(int valueDomainType)
                                                                   throws IfsException

  Gets resource bundle key for the specified ValueDomain type.

  Call `LibrarySession.getResourceString` with the returned value to get a localized name for the specified ValueDomain type.

  Parameters:
    `valueDomainType` - the ValueDomain type
  Returns:
    the resource bundle key
  Throws:
    `IfsException` - (IFS-31400) if valueDomainType is invalid

### valueDomainTypeName

    public static final java.lang.String valueDomainTypeName(int valueDomainType,
                                                             Localizer localizer)
                                                      throws IfsException

  Deprecated. use toValueDomainTypeLabel()

  Gets the localized name of the specified ValueDomain type.
  Parameters:
    `valueDomainType` - the ValueDomain type
    `localizer` - the Localizer to use
  Returns:
    the localized name
  Throws:
    `IfsException` - if operation fails

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType)
                                                   throws IfsException

  Converts the specified ValueDomainType constant to a localized label. The default Localizer is used.
  Parameters:
    `valueDomainType` - the ValueDomainType constant.
  Returns:
    the label corresponding to the specified ValueDomainType constant.
  Throws:
    `IfsException` - if operation fails.

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType,
                                                          LibrarySession session)
                                                   throws IfsException

  Converts the specified ValueDomainType constant to a localized label, using the Localizer from the specified LibrarySession.
  Parameters:
    `valueDomainType` - the ValueDomainType constant
    `session` - the LibrarySession, whose current Localizer will be used for the conversion
  Returns:
    the label corresponding to the specified ValueDomainType constant
  Throws:
    `IfsException` - if operation fails.

### toValueDomainTypeLabel

    public static java.lang.String toValueDomainTypeLabel(int valueDomainType,
                                                          Localizer localizer)
                                                   throws IfsException

  Converts the specified ValueDomainType constant to a localized label, using the specified Localizer. If a null is specified for the Localizer, a temporary Localizer (constructed based on the default Locale) is used for the conversion.
  Parameters:
    `valueDomainType` - the ValueDomainType constant.
    `localizer` - the Localizer that performs the conversion
  Returns:
    the label corresponding to the specified ValueDomainType constant.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD